Skip to main content
POST
/
ims
/
oneroster
/
rostering
/
v1p2
/
academicSessions
Create an Academic Session
curl --request POST \
  --url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/academicSessions/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "academicSession": {
    "sourcedId": "<string>",
    "title": "<string>",
    "startDate": "<string>",
    "endDate": "<string>",
    "schoolYear": "<string>",
    "org": {
      "sourcedId": "<string>"
    },
    "dateLastModified": "2023-11-07T05:31:56Z",
    "metadata": {},
    "parent": {
      "sourcedId": "<string>"
    },
    "children": [
      {
        "href": "<string>",
        "sourcedId": "<string>"
      }
    ]
  }
}
'
{
  "sourcedIdPairs": {
    "suppliedSourcedId": "<string>",
    "allocatedSourcedId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.timeback.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
academicSession
object
required

Response

Academic session created

sourcedIdPairs
object
required